a {
  outline: none;
  text-transform: none;
  text-decoration: none;
  border: none;
  cursor: pointer;
}

.wa-btn {
  height: 54px;
  min-width: 54px;
  width: auto;
  padding: 0;
  border-radius: 54px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  cursor: pointer;
  outline: none;
  border: none;
  box-shadow:
    0 8px 12px rgba(0, 0, 0, 0.1),
    0 0 0 0.5px rgba(0, 0, 0, 0.15);
  -webkit-transform: scale(1);
  transform: scale(1);
  z-index: 9999;
  font-family: inherit;
  transition: all 0.4s cubic-bezier(0.075, 0.82, 0.165, 1);
  position: relative;
  border: 2px solid white;
}
.wa-btn::after,
.wa-btn::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background: inherit;
  width: 100%;
  height: 100%;
  background: inherit;
  border-radius: 54px;
  z-index: -1;
}
.wa-btn:before {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}
.wa-btn:hover {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
}
.wa-btn:active {
  -webkit-transform: scale(0.95);
  transform: scale(0.95);
}
.wa-btn.wa-btn-hide {
  padding: 0;
}
.wa-btn.wa-btn-hide::after,
.wa-btn.wa-btn-hide::before {
  -webkit-animation-duration: 0s !important;
  animation-duration: 0s !important;
}
.wa-btn-notification {
  position: absolute;
  right: -2px;
  top: -6px;
  width: 18px;
  height: 18px;
  background-color: red;
  color: white;
  border-radius: 100%;
  font-size: 11px;
  font-weight: 600;
  display: flex;
  justify-content: center;
  align-items: center;
}
.wa-btn-icon {
  width: 28px;
  height: 28px;
  fill: white;
  -webkit-transform: rotate(0turn) scale(1);
  transform: rotate(0turn) scale(1);
  opacity: 1;
  transition: all 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wa-btn-icon svg {
  width: 28px;
  height: 28px;
}
.wa-btn-icon-hide {
  opacity: 0;
  -webkit-transform: rotate(-1turn) scale(0);
  transform: rotate(-1turn) scale(0);
}
.wa-btn-icon-close {
  opacity: 0;
  width: 20px;
  height: 20px;
  position: absolute;
  -webkit-transform: rotate(-1turn) scale(0);
  transform: rotate(-1turn) scale(0);
  transition: all 0.4s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wa-btn-icon-close svg {
  width: 20px;
  height: 20px;
}
.wa-btn-icon-close-open {
  opacity: 1;
  -webkit-transform: rotate(0deg) scale(1);
  transform: rotate(0deg) scale(1);
}
.wa-btn-custom-svg {
  display: block;
}
.wa-btn-text {
  margin-left: 8px;
  font-size: 14px;
  font-weight: 600;
  white-space: nowrap;
  opacity: 1;
  -webkit-transform: translateX(0px);
  transform: translateX(0px);
  width: auto;
}
.wa-btn-text-hide {
  opacity: 0;
  margin: 0;
  -webkit-transform: translateX(50px);
  transform: translateX(50px);
  width: 0px;
}
@media (max-width: 640px) {
  .wa-btn {
    height: 48px;
    min-width: 48px;
    border-radius: 48px;
  }
  .wa-btn-icon,
  .wa-btn-icon svg {
    width: 24px;
    height: 24px;
  }
}

.wa-popup-container {
  display: block;
  position: fixed;
  z-index: 9999;
}
@media (max-width: 640px) {
  .wa-popup-container {
    z-index: 9999;
  }
}

.wa-popup-dialog {
  z-index: 9999;
  outline: none;
  border: none;
  padding: 0;
  margin: 0;
  position: absolute;
  bottom: 64px;
  right: 0;
  width: 320px;
  height: auto;
  -webkit-transform: translateY(50px);
  transform: translateY(50px);
  opacity: 0;
  visibility: hidden;
  font-family: inherit;
  transition: all 0.4s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wa-popup-dialog-open {
  -webkit-transform: translateY(0px);
  transform: translateY(0px);
  opacity: 1;
  visibility: visible;
}

.wa-popup {
  max-width: 100%;
  background-color: white;
  border-radius: 16px;
  box-shadow:
    0 18px 64px rgba(0, 0, 0, 0.4),
    0 0 0 0.5px rgba(0, 0, 0, 0.15);
  display: flex;
  flex-direction: column;
  z-index: 9999;
  letter-spacing: normal;
  position: relative;
}
.wa-popup-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  padding: 24px 24px 12px 24px;
  border-radius: 16px 16px 0 0;
  position: relative;
}
.wa-popup-header-image {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  margin-bottom: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.wa-popup-header-image svg {
  width: 28px;
  height: 28px;
}
.wa-popup-header-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.wa-popup-header-content-name {
  font-size: 20px;
  font-weight: 600;
  letter-spacing: normal;
  line-height: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  margin-bottom: 4px;
}
.wa-popup-header-content-status {
  font-size: 15px;
  line-height: 16px;
  font-weight: 400;
  letter-spacing: normal;
  opacity: 0.75;
}
@media (max-width: 640px) {
  .wa-popup-header {
    padding: 32px 16px 12px 16px;
    flex-direction: row-reverse;
    justify-content: space-between;
  }
  .wa-popup-header-image {
    width: 36px;
    height: 36px;
    margin-bottom: 12px;
  }
  .wa-popup-header-image img {
    width: 36px;
    height: 36px;
  }
  .wa-popup-header-content-name {
    font-size: 20px;
    margin-bottom: 4px;
  }
  .wa-popup-header-content-status {
    font-size: 14px;
  }
}
.wa-popup-footer {
  background-color: #fff;
  border-radius: 0 0 16px 16px;
  padding: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  font-size: 11px;
}
.wa-popup-footer a {
  display: flex;
  align-items: center;
  text-decoration: none;
  font-weight: 500;
  color: black;
}
.wa-popup-footer a svg {
  height: 12px;
  width: auto;
  margin-right: 3px;
}
.wa-popup-verified {
  height: 18px;
  width: 18px;
  margin-left: 4px;
  fill: #3b82f6;
  color: white;
}
.wa-popup-body {
  height: auto;
  border-radius: 12px;
  background-color: white;
  margin-top: -16px;
  z-index: 9999;
  margin: 8px 12px;
  padding: 8px 6px 6px 6px;
  box-shadow: 0 0px 0 0.5px rgba(0, 0, 0, 0.1);
}
.wa-popup-body-message {
  width: 200px;
  box-shadow: 0 1px 0.5px rgba(11, 20, 26, 0.13);
  background: white;
  border-radius: 7.5px;
  border-top-left-radius: 0;
  position: relative;
  padding: 12px 12px 20px 12px;
}
.wa-popup-body-message::before {
  content: "";
  height: 13px;
  width: 8px;
  position: absolute;
  top: 0;
  left: -8px;
  background: white;
  -webkit-clip-path: polygon(0 0, 100% 83%, 100% 0);
  clip-path: polygon(0 0, 100% 83%, 100% 0);
}
.wa-popup-body-message-text-content {
  font-size: 14px;
  color: black;
  font-weight: 400;
  line-height: 19px !important;
  margin: 0;
  -webkit-font-feature-settings: "kern";
  font-feature-settings: "kern";
}
.wa-popup-body-message-tick {
  font-size: 11px;
  font-weight: 400;
  position: absolute;
  right: 10px;
  bottom: 0px;
  color: #667781;
}
.wa-popup-body-reply-time {
  font-size: 12px;
  line-height: 12px;
  align-self: center;
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 4px 8px;
  gap: 6px;
  color: rgba(0, 0, 0, 0.85);
  margin: -18px 0px 4px 0px;
  border-radius: 12px;
}
.wa-popup-body-reply-time svg {
  width: 14px;
  height: 14px;
  fill: rgb(0, 0, 0);
}
.wa-popup-body-reply-time strong {
  margin-left: 3px;
}
.wa-popup-body-profiles {
  display: flex;
  flex-direction: column;
  height: auto;
}
.wa-popup-body-profiles-agents {
  border-radius: 6px;
  padding: 0px 8px 0px 8px;
  text-decoration: none;
  color: black;
  display: flex;
  align-items: center;
  position: relative;
}
.wa-popup-body-profiles-agents:hover {
  background-color: rgba(0, 0, 0, 0.02);
}
.wa-popup-body-profiles-agents:hover .wa-popup-body-profiles-agents-start {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  opacity: 0.75;
  transition: all 0.4s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.wa-popup-body-profiles-agents:last-of-type .wa-popup-body-profiles-agents-info {
  border-bottom: none;
}
.wa-popup-body-profiles-agents:hover .wa-popup-body-profiles-agents-image {
  outline-color: #3ede7b;
}
.wa-popup-body-profiles-agents-image {
  width: 40px;
  height: 40px;
  border-radius: 80px;
  position: relative;
  box-shadow: 0 0 0 0.5px rgba(0, 0, 0, 0.15);
  outline-offset: 2px;
  outline: 2px solid rgba(0, 0, 0, 0.08);
  /* min-width: 40px; */
}
.wa-popup-body-profiles-agents-image img {
  width: 40px;
  height: 40px;
  /* min-width: 40px; */
  border-radius: 80px;
  -o-object-fit: cover;
  object-fit: cover;
}
.wa-popup-body-profiles-agents-image:after {
  content: "";
  position: absolute;
  bottom: 0px;
  right: 2px;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #3ede7b;
  outline: 2px solid white;
  box-shadow: 1px 1px 5px rgba(11, 20, 26, 0.45);
}
.wa-popup-body-profiles-agents-info {
  display: flex;
  width: 100%;
  flex-direction: column;
  margin-left: 14px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  padding: 12px 0;
}
.wa-popup-body-profiles-agents-info:last-of-type {
  border-bottom: 2px solid red;
}
.wa-popup-body-profiles-agents-info-name {
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
}
.wa-popup-body-profiles-agents-info-role {
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  opacity: 0.65;
}
.wa-popup-body-profiles-agents-start {
  display: flex;
  position: absolute;
  right: 8px;
  align-items: center;
  white-space: nowrap;
  font-size: 12px;
  opacity: 0;
  -webkit-transform: translateX(-20px);
  transform: translateX(-20px);
}
.wa-popup-body-profiles-agents-start svg {
  height: 18px;
  fill: black;
  opacity: 0.75;
}
.wa-popup-body-profiles-agents-divider {
  display: block;
  height: 1px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.04);
}
.wa-popup-body-profiles-agents-divider:last-of-type {
  display: none;
}
@media (max-width: 640px) {
  .wa-popup-body-profiles-agents-image,
  .wa-popup-body-profiles-agents-image img {
    width: 34px !important;
    height: 34px !important;
    max-width: 34px !important;
  }
  .wa-popup-body-profiles-agents-info {
    margin-left: 12px;
    padding: 8px 0;
  }
  .wa-popup-body-profiles-agents-info-name {
    font-size: 12px;
    line-height: 15px;
  }
  .wa-popup-body-profiles-agents-info-role {
    font-size: 12px;
  }
}
.wa-popup-body-profiles-messenger {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 13px;
  font-weight: 600;
  gap: 8px;
  background-color: rgba(0, 0, 0, 0.03);
  padding: 8px;
  border-radius: 8px;
  margin-top: 8px;
}
.wa-popup-body-socials {
  display: flex;
  flex-direction: row;
  margin: 0px 12px 8px 12px;
  gap: 8px;
  border-radius: 12px;
  padding: 4px 12px;
  align-items: center;
  justify-content: space-between;
  font-size: 13px;
  font-weight: 600;
  background-color: white;
}
.wa-popup-body-socials-links {
  display: flex;
  flex-direction: row;
  gap: 8px;
}
.wa-popup-body-socials-link {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  border-radius: 16px;
  padding: 4px;
}
.wa-popup-body-socials-link:hover {
  background-color: rgba(0, 0, 0, 0.1);
}
.wa-popup-body-socials-link svg {
  border-radius: 8px;
  width: 20px;
  height: 20px;
}
@media (max-width: 640px) {
  .wa-popup-body-socials {
    margin: 0px 8px 4px 8px;
    font-size: 12px;
    gap: 6px;
  }
  .wa-popup-body-socials-link {
    padding: 4px;
  }
  .wa-popup-body-socials-link svg {
    width: 18px;
    height: 18px;
  }
}
@media (max-width: 640px) {
  .wa-popup-body {
    margin: 8px 6px 4px 6px;
  }
}

@-webkit-keyframes fade-in {
  0% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    display: block;
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    display: block;
  }
}

@keyframes fade-in {
  0% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    display: block;
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    display: block;
  }
}
@-webkit-keyframes fade-out {
  0% {
    opacity: 1;
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    display: block;
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    display: block;
  }
}
@keyframes fade-out {
  0% {
    opacity: 1;
    -webkit-transform: translateY(0px);
    transform: translateY(0px);
    display: block;
  }
  100% {
    opacity: 0;
    -webkit-transform: translateY(50px);
    transform: translateY(50px);
    display: block;
  }
}
@-webkit-keyframes grow {
  0% {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 0.75;
  }
  100% {
    -webkit-transform: scale(1.8);
    transform: scale(1.8);
    opacity: 0;
  }
}
@keyframes grow {
  0% {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 0.75;
  }
  100% {
    -webkit-transform: scale(1.8);
    transform: scale(1.8);
    opacity: 0;
  }
}
